KDE 4.7 PyKDE API Reference

- KDE's Python API

# ThumbCreatorV2 Class Reference

`from PyKDE4.kio import *`

Inherits: ThumbCreator

## Detailed Description

Since:
  4.7

## Methods
QWidget | createConfigurationWidget (self)
| writeConfiguration (self, QWidget configurationWidget)

## Method Documentation

QWidget createConfigurationWidget | ( |  | self ) |

Creates a widget that allows to configure the thumbcreator by the user. The caller of this method is defined as owner of the returned instance and must take care to delete it. The default implementation returns 0.

The following key in the thumbcreator .desktop file must be set to mark the plugin as configurable:

     Configurable=true

writeConfiguration | ( | self, |
|  | QWidget | configurationWidget
| ) |  |  |

Writes the configuration that is specified by configurationWidget. The passed configuration widget is the instance created by ThumbCreatorV2.createConfigurationWidget().